html,
body {
  overflow: hidden;
}

.hidden {
  display: none !important;
}

.splash {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
}

.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 10px;
  display: flex;
  justify-content: center;
  font-size: 15px;
  text-transform: uppercase;
  color: #333;
}

.footer .params span {
  font-family: sans-serif;
  font-size: 13px;
  display: inline-block;
  padding: 8px;
  background-color: #f0f0f0;
  border-radius: 4px;
  margin-right: 8px;
}

/*** Button Styles ***/
button {
  display: inline-block;
  padding: 10px 20px;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  background-color: #ff6fd8; /* Pink */
  color: #ffffff; /* White */
  text-transform: uppercase;
  font-family: monospace;
  font-weight: bold;
  letter-spacing: 1px;
  text-decoration: none;
  transition: background-color 0.3s ease;
  margin-bottom: 8px;
}

button:hover {
  background-color: #48d9b7; /* Turquoise */
}

/*** MML COMPOSER ***/

.mml-composer {
  display: flex;
  width: 100vw;
  justify-content: center;
}

.mml-composer .inner {
  display: flex;
  flex: 1;
  border-radius: 8px;
  border: 1px solid #ff6fd8;
  flex-direction: column;
  padding: 16px;
  margin: 64px;
  background-color: #ffffff;
}

.mml-composer textarea {
  height: 400px;
  padding: 8px;
  margin: 8px 0;
  border: 1px solid #f0f0f0;
  border-radius: 4px;
  font-family: monospace;
  font-size: 13px;
  resize: none;
}

/*** HANDLE MOBILE ***/

@media (max-width: 768px) {
  .mml-composer .inner {
    margin: 16px;
  }
  .mml-composer textarea {
    height: 200px;
  }
}
